SimpleGenerator
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions
Class SimpleGenerator

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions.SimpleGenerator

All Implemented Interfaces:
  SimpleGeneratorI

    public class SimpleGenerator

extends java.lang.Object
implements SimpleGeneratorI

Constructor Summary
`SimpleGenerator(java.lang.String path)`

Method Summary
`java.util.List<Field>` | `getEnvelope(Species species, java.util.Set<Cell> cells)`
`java.util.List<Field>` | `getProbability(Species species, Cell cell, java.lang.Boolean useBoundingBox, java.lang.Boolean useFao)` return a list of fields representing an HSPEC row
`java.util.List<Field>` | `isAreaConstraints(BoundingBox bb, java.util.List<Area> areas)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGenerator

    public SimpleGenerator(java.lang.String path)

Method Detail

### getProbability

    public java.util.List<Field> getProbability(Species species,
                                                Cell cell,
                                                java.lang.Boolean useBoundingBox,
                                                java.lang.Boolean useFao)
                                         throws java.lang.Exception

  Description copied from interface: `SimpleGeneratorI`
  return a list of fields representing an HSPEC row

  Specified by:
    `getProbability` in interface `SimpleGeneratorI`
  Returns:
  Throws:
    `java.lang.Exception`

### isAreaConstraints

    public java.util.List<Field> isAreaConstraints(BoundingBox bb,
                                                   java.util.List<Area> areas)
                                            throws java.lang.Exception

  Specified by:
    `isAreaConstraints` in interface `SimpleGeneratorI`
  Throws:
    `java.lang.Exception`

### getEnvelope

    public java.util.List<Field> getEnvelope(Species species,
                                             java.util.Set<Cell> cells)
                                      throws java.lang.Exception

  Specified by:
    `getEnvelope` in interface `SimpleGeneratorI`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD